NXOpen .NET Reference  12.0.0
Public Types | Public Member Functions | Protected Member Functions | Properties | List of all members
NXOpen.PointCollection Class Reference

Represents a collection of smart NXOpen.Point . More...

Inheritance diagram for NXOpen.PointCollection:

Public Types

enum  AlongCurveOption { Distance, Percent }
 Describes whether the input Scalar to the NXOpen.PointCollection.CreatePoint method is either an absolute distance or a relative percentage. More...
 
enum  PointOnCurveLocationOption { Parameter, PercentParameter, ArcLength, PercentArcLength }
 Describes whether the input Scalar to the NXOpen.PointCollection.CreatePoint method is a relative percentage parameter or an absolute arc length or a relative percentage arc length. More...
 

Public Member Functions

NXOpen.Point[] ToArray ()
 Returns an array of NXOpen.Point objects. More...
 
unsafe NXOpen.Point CreatePoint (NXOpen.Point3d coordinates)
 Creates a NXOpen.Point without parameters. More...
 
unsafe NXOpen.Point CreatePoint (NXOpen.Offset offset, NXOpen.Point offsetPoint, NXOpen.SmartObject.UpdateOption updateOption)
 Creates a NXOpen.Point using a NXOpen.Point and an NXOpen.Offset . More...
 
unsafe NXOpen.Point CreatePoint (NXOpen.IParameterizedSurface face, NXOpen.Scalar scalarU, NXOpen.Scalar scalarV, NXOpen.SmartObject.UpdateOption updateOption)
 Creates a NXOpen.Point on a Surface or NXOpen.Face via U-V NXOpen.Scalar for the surface. More...
 
unsafe NXOpen.Point CreatePoint (NXOpen.View view, NXOpen.IBaseCurve edgeCurve1, NXOpen.IBaseCurve edgeCurve2, NXOpen.Point3d helpPt, NXOpen.SmartObject.UpdateOption updateOption)
 Creates a NXOpen.Point on the intersection of two NXOpen.Curve and/or NXOpen.Edge in a View. More...
 
unsafe NXOpen.Point CreatePoint (NXOpen.IBaseCurve edgeCurve, NXOpen.Scalar scalarT, NXOpen.SmartObject.UpdateOption updateOption)
 Creates a NXOpen.Point on a NXOpen.Curve or NXOpen.Edge and NXOpen.Scalar representing the T parameter. More...
 
unsafe NXOpen.Point CreatePoint (NXOpen.IBaseCurve edgeCurve, NXOpen.Scalar scalarT, NXOpen.PointCollection.PointOnCurveLocationOption locationOption, NXOpen.SmartObject.UpdateOption updateOption)
 Creates a NXOpen.Point on a NXOpen.Curve or NXOpen.Edge and NXOpen.Scalar representing the Percent parameter or Arc Length or Percent Arc Length. More...
 
unsafe NXOpen.Point CreatePoint (NXOpen.IBaseCurve edgeCurve, NXOpen.Scalar scalarT, NXOpen.SmartObject.UpdateOption updateOption, bool useReverseParameter)
 Creates a NXOpen.Point on a NXOpen.Curve or NXOpen.Edge and NXOpen.Scalar representing the T parameter. More...
 
unsafe NXOpen.Point CreatePoint (NXOpen.IBaseCurve edgeCurve, NXOpen.Point pointOffset, NXOpen.Scalar distancePercent, NXOpen.PointCollection.AlongCurveOption option, NXOpen.Sense sense, NXOpen.SmartObject.UpdateOption updateOption)
 Creates a NXOpen.Point along a NXOpen.Curve or NXOpen.Edge using a NXOpen.Point , and a NXOpen.Scalar representing the T parameter along the NXOpen.Curve . More...
 
unsafe NXOpen.Point CreatePoint (NXOpen.Scalar scalarX, NXOpen.Scalar scalarY, NXOpen.Scalar scalarZ, NXOpen.SmartObject.UpdateOption updateOption)
 Creates a NXOpen.Point via three NXOpen.Scalar . More...
 
unsafe NXOpen.Point CreatePoint (NXOpen.Point pointExtract, NXOpen.Xform xform, NXOpen.SmartObject.UpdateOption updateOption)
 Creates a NXOpen.Point via an existing NXOpen.Point using an optional NXOpen.Xform . More...
 
unsafe NXOpen.Point CreatePoint (NXOpen.IBaseCurve edgeCurve, NXOpen.Scalar angle, NXOpen.Xform xform, NXOpen.SmartObject.UpdateOption updateOption)
 Creates a NXOpen.Point at an angle along an NXOpen.IBaseCurve . More...
 
unsafe NXOpen.Point CreatePoint (NXOpen.IBaseCurve edgeCurve, NXOpen.SmartObject.UpdateOption updateOption)
 Creates a NXOpen.Point via the center of an NXOpen.Edge or NXOpen.Curve . More...
 
unsafe NXOpen.Point CreatePoint (NXOpen.IBaseCurve curve1, NXOpen.IBaseCurve curve2, NXOpen.Point helpPt1, NXOpen.Point helpPt2, NXOpen.SmartObject.UpdateOption updateOption)
 Creates a NXOpen.Point at the intersection of two Edges or Curves. More...
 
unsafe NXOpen.Point CreatePoint (NXOpen.IBaseCurve curve1, NXOpen.IBaseCurve curve2, NXOpen.Point3d startPoint, NXOpen.View view, NXOpen.SmartObject.UpdateOption updateOption)
 Creates a NXOpen.Point at the apparent intersection of two Edges or Curves in a view. More...
 
unsafe NXOpen.Point CreatePoint (NXOpen.IParameterizedSurface face, NXOpen.IBaseCurve curve, NXOpen.Point helpPt1, NXOpen.Point helpPt2, NXOpen.SmartObject.UpdateOption updateOption)
 Creates a NXOpen.Point at the intersection of a NXOpen.IParameterizedSurface and NXOpen.IBaseCurve . More...
 
unsafe NXOpen.Point CreatePoint (NXOpen.IBasePlane plane, NXOpen.IBaseCurve curve, NXOpen.Point helpPt1, NXOpen.Point helpPt2, NXOpen.SmartObject.UpdateOption updateOption)
 Creates a NXOpen.Point at the intersection of a NXOpen.IBasePlane and NXOpen.IBaseCurve . More...
 
unsafe NXOpen.Point CreatePoint (NXOpen.IParameterizedSurface sphericalFace, NXOpen.SmartObject.UpdateOption updateOption)
 Creates a NXOpen.Point at the center of a spherical face. More...
 
unsafe NXOpen.Point CreatePoint (NXOpen.Routing.IRoutePosition routePosition, NXOpen.Xform xform, NXOpen.SmartObject.UpdateOption updateOption)
 Creates a NXOpen.Point at the given NXOpen.Routing.IRoutePosition . More...
 
unsafe NXOpen.Point FindObject (string journalIdentifier)
 Finds the NXOpen.Point with the given identifier as recorded in a journal. More...
 
unsafe NXOpen.Point CreatePoint (NXOpen.CartesianCoordinateSystem csys, NXOpen.Scalar scalarX, NXOpen.Scalar scalarY, NXOpen.Scalar scalarZ, NXOpen.SmartObject.UpdateOption updateOption)
 Creates a NXOpen.Point via NXOpen.CartesianCoordinateSystem and three NXOpen.Scalar . More...
 
unsafe NXOpen.Point CreatePoint (NXOpen.Point point1, NXOpen.Point point2, NXOpen.Scalar distancePercentage, NXOpen.SmartObject.UpdateOption updateOption)
 Creates a NXOpen.Point between two points using a NXOpen.Scalar that represents a percentage of the distance between the points. More...
 
unsafe NXOpen.Point CreateVirtualIntersectionPoint (NXOpen.IBaseCurve curve1, NXOpen.IBaseCurve curve2, NXOpen.Point helpPt1, NXOpen.Point helpPt2, NXOpen.SmartObject.UpdateOption updateOption)
 Creates a NXOpen.Point at the virtual intersection of two linear Edges or Curves. More...
 
unsafe NXOpen.Point CreatePoint (NXOpen.Expression exp, NXOpen.SmartObject.UpdateOption updateOption)
 Creates a NXOpen.Point via an NXOpen.Expression . More...
 
unsafe NXOpen.Point CreateStockOffsetPoint (NXOpen.Point basePoint, NXOpen.Direction offsetDirr, string offsetExpression, NXOpen.SmartObject.UpdateOption updateOption)
 Creates a Routing "Stock Offset" point. More...
 
unsafe NXOpen.Point EditStockOffsetPoint (NXOpen.Point basePoint, NXOpen.Direction offsetDirr, string offsetExpression, NXOpen.SmartObject.UpdateOption updateOption)
 Edits an existing Routing "Stock Offset" point with new information. More...
 
unsafe NXOpen.Point CreatePointOnPortExtractAlign (NXOpen.SmartObject.UpdateOption updateOption, NXOpen.Routing.Port port, NXOpen.Scalar distance)
 Creates a NXOpen.Point at a NXOpen.Routing.Port . More...
 
unsafe NXOpen.Point CreatePointOnSurfaceAxis (NXOpen.TaggedObject face, NXOpen.Scalar parameter, NXOpen.SmartObject.UpdateOption updateOption)
 Creates a parameterised point on the center line axis of the given face. More...
 
unsafe NXOpen.Point CreatePoint (NXOpen.CAE.CAEFace face, NXOpen.Point projectedPoint, NXOpen.SmartObject.UpdateOption updateOption)
 Creates a point by projecting onto a face. More...
 
unsafe NXOpen.Point CreateQuadrantPoint (NXOpen.IBaseCurve curveOrEdge, int quadrant, NXOpen.SmartObject.UpdateOption updateOption)
 Creates a quadrant point More...
 
unsafe NXOpen.Point CreatePointOnSectionCG (NXOpen.SmartObject.UpdateOption updateOption, NXOpen.TaggedObject face)
 Creates a NXOpen.Point on the center of gravity of the sketch for a given sheet metal feature face in history free mode. More...
 
unsafe void DeletePoint (NXOpen.Point point)
 Deletes a NXOpen.Point by adding the point to the delete list and then updating the delete list without performing a general update. More...
 
unsafe void RemoveParameters (NXOpen.Point point)
 Removes the parameters from an associative NXOpen.Point . More...
 
unsafe NXOpen.Point CreatePoint (NXOpen.ScCollector faces, NXOpen.IBaseCurve curve, NXOpen.Point helpPt1, NXOpen.Point helpPt2, NXOpen.SmartObject.UpdateOption updateOption)
 Creates a NXOpen.Point at the intersection of a connected set of faces and NXOpen.IBaseCurve . More...
 
unsafe NXOpen.Point CreatePoint (NXOpen.SmartObject.UpdateOption updateOption, NXOpen.Annotations.Annotation annotation, NXOpen.Scalar t, int side, int block, bool attachFcfToDim)
 Creates a NXOpen.Point on a NXOpen.Annotations.Annotation and NXOpen.Scalar representing the T parameter. More...
 
unsafe NXOpen.Point CreatePoint (NXOpen.IBaseCurve splarc, NXOpen.View view)
 Creates a NXOpen.Point at the center of a splarc. More...
 
unsafe NXOpen.Point CreatePointSplinePole (NXOpen.IBaseCurve splineCurve, int poleIndex, NXOpen.SmartObject.UpdateOption updateOption)
 Creates a NXOpen.Point at a spline pole. More...
 
unsafe NXOpen.Point CreatePointSplarc (NXOpen.IBaseCurve splarc, NXOpen.View view)
 Creates a Point draft smart point for splines as arcs More...
 
unsafe NXOpen.Point CreatePointSplineDefiningPoint (NXOpen.IBaseCurve splineCurve, int definingPointIndex, NXOpen.SmartObject.UpdateOption updateOption)
 Creates a NXOpen.Point at a spline defining point. More...
 
unsafe NXOpen.Point CreatePoint (NXOpen.IBaseCurve edgeCurve, NXOpen.Scalar scalarT, NXOpen.PointCollection.PointOnCurveLocationOption locationOption, NXOpen.Point specifiedPoint, NXOpen.SmartObject.UpdateOption updateOption)
 Creates a NXOpen.Point on a NXOpen.Curve or NXOpen.Edge and NXOpen.Scalar representing the Location option and Location Reference More...
 

Protected Member Functions

override int EnumerateMoveNext (ref Tag currentTag, byte[] state)
 Advances the enumerator to the next element of the collection. More...
 

Properties

Tag Tag [get]
 Returns the tag of this object. More...
 

Detailed Description

Represents a collection of smart NXOpen.Point .

Iterating this collection only returns live uncondemned objects contained in the owning part of the collection. Note that NXOpen.Point is a smart object and many smart objects are condemned as they only exist to support other objects and are not displayed.

To obtain an instance of this class, refer to NXOpen.BasePart

Created in NX3.0.0

Member Enumeration Documentation

Describes whether the input Scalar to the NXOpen.PointCollection.CreatePoint method is either an absolute distance or a relative percentage.

Enumerator
Distance 

Scalar is an absolute distance.

Percent 

Scalar is a relative percentage.

Describes whether the input Scalar to the NXOpen.PointCollection.CreatePoint method is a relative percentage parameter or an absolute arc length or a relative percentage arc length.

Enumerator
Parameter 

Scalar is curve parameter.

PercentParameter 

Scalar is a relative percentage parameter.

ArcLength 

Scalar is an absolute arc length.

PercentArcLength 

Scalar is a relative percentage arc length.

Member Function Documentation

unsafe NXOpen.Point NXOpen.PointCollection.CreatePoint ( NXOpen.Point3d  coordinates)

Creates a NXOpen.Point without parameters.

Created in NX3.0.0

License requirements: None.

Parameters
coordinatesCoordinates of a Point
Returns
unsafe NXOpen.Point NXOpen.PointCollection.CreatePoint ( NXOpen.Offset  offset,
NXOpen.Point  offsetPoint,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates a NXOpen.Point using a NXOpen.Point and an NXOpen.Offset .

Created in NX3.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling") OR geometric_tol ("GDT") OR cam_base ("CAM BASE")

Parameters
offset
offsetPointOffsetting from this Point
updateOption
Returns
unsafe NXOpen.Point NXOpen.PointCollection.CreatePoint ( NXOpen.IParameterizedSurface  face,
NXOpen.Scalar  scalarU,
NXOpen.Scalar  scalarV,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates a NXOpen.Point on a Surface or NXOpen.Face via U-V NXOpen.Scalar for the surface.

Created in NX3.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling") OR geometric_tol ("GDT") OR cam_base ("CAM BASE")

Parameters
face
scalarUU parameter
scalarVV parameter
updateOption
Returns
unsafe NXOpen.Point NXOpen.PointCollection.CreatePoint ( NXOpen.View  view,
NXOpen.IBaseCurve  edgeCurve1,
NXOpen.IBaseCurve  edgeCurve2,
NXOpen.Point3d  helpPt,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates a NXOpen.Point on the intersection of two NXOpen.Curve and/or NXOpen.Edge in a View.

Created in NX6.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT") OR cam_base ("CAM BASE")

Parameters
view
edgeCurve1Edge or Curve
edgeCurve2Edge or Curve
helpPtHelp Point for curve 1
updateOption
Returns
unsafe NXOpen.Point NXOpen.PointCollection.CreatePoint ( NXOpen.IBaseCurve  edgeCurve,
NXOpen.Scalar  scalarT,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates a NXOpen.Point on a NXOpen.Curve or NXOpen.Edge and NXOpen.Scalar representing the T parameter.

Created in NX3.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling") OR geometric_tol ("GDT") OR cam_base ("CAM BASE")

Parameters
edgeCurveEdge or Curve
scalarTT parameter
updateOption
Returns
unsafe NXOpen.Point NXOpen.PointCollection.CreatePoint ( NXOpen.IBaseCurve  edgeCurve,
NXOpen.Scalar  scalarT,
NXOpen.PointCollection.PointOnCurveLocationOption  locationOption,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates a NXOpen.Point on a NXOpen.Curve or NXOpen.Edge and NXOpen.Scalar representing the Percent parameter or Arc Length or Percent Arc Length.

Created in NX8.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling") OR geometric_tol ("GDT") OR cam_base ("CAM BASE")

Parameters
edgeCurveEdge or Curve
scalarTscalar value
locationOptionSpecify whether the input Scalar is Arc Length or Percent Arc Length or Percent Parameter
updateOption
Returns
unsafe NXOpen.Point NXOpen.PointCollection.CreatePoint ( NXOpen.IBaseCurve  edgeCurve,
NXOpen.Scalar  scalarT,
NXOpen.SmartObject.UpdateOption  updateOption,
bool  useReverseParameter 
)

Creates a NXOpen.Point on a NXOpen.Curve or NXOpen.Edge and NXOpen.Scalar representing the T parameter.

Created in NX7.5.2

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling") OR geometric_tol ("GDT") OR cam_base ("CAM BASE")

Parameters
edgeCurveEdge or Curve
scalarTT parameter
updateOption
useReverseParameter
Returns
unsafe NXOpen.Point NXOpen.PointCollection.CreatePoint ( NXOpen.IBaseCurve  edgeCurve,
NXOpen.Point  pointOffset,
NXOpen.Scalar  distancePercent,
NXOpen.PointCollection.AlongCurveOption  option,
NXOpen.Sense  sense,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates a NXOpen.Point along a NXOpen.Curve or NXOpen.Edge using a NXOpen.Point , and a NXOpen.Scalar representing the T parameter along the NXOpen.Curve .

This NXOpen.Point is derived by finding the closest NXOpen.Point on the given curve to the given NXOpen.Point and then offsetting this Point along the given NXOpen.Curve by the arc length defined by T via absolute distance or relative percent.

Created in NX3.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling") OR geometric_tol ("GDT") OR cam_base ("CAM BASE")

Parameters
edgeCurveEdge or Curve
pointOffsetOffset from this Point
distancePercentDistance or Percentage
optionSpecify whether the input Scalar is distance/percentage
senseforward/reverse along the Edge or Curve
updateOption
Returns
unsafe NXOpen.Point NXOpen.PointCollection.CreatePoint ( NXOpen.Scalar  scalarX,
NXOpen.Scalar  scalarY,
NXOpen.Scalar  scalarZ,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates a NXOpen.Point via three NXOpen.Scalar .

Created in NX3.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling") OR geometric_tol ("GDT") OR cam_base ("CAM BASE")

Parameters
scalarXX location
scalarYY location
scalarZZ location
updateOption
Returns
unsafe NXOpen.Point NXOpen.PointCollection.CreatePoint ( NXOpen.Point  pointExtract,
NXOpen.Xform  xform,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates a NXOpen.Point via an existing NXOpen.Point using an optional NXOpen.Xform .

Created in NX3.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling") OR geometric_tol ("GDT") OR cam_base ("CAM BASE")

Parameters
pointExtractPoint to be extracted
xformoptional Xform
updateOption
Returns
unsafe NXOpen.Point NXOpen.PointCollection.CreatePoint ( NXOpen.IBaseCurve  edgeCurve,
NXOpen.Scalar  angle,
NXOpen.Xform  xform,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates a NXOpen.Point at an angle along an NXOpen.IBaseCurve .

Created in NX3.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling") OR geometric_tol ("GDT") OR cam_base ("CAM BASE")

Parameters
edgeCurve
angleangle in radians
xformoptional Xform
updateOption
Returns
unsafe NXOpen.Point NXOpen.PointCollection.CreatePoint ( NXOpen.IBaseCurve  edgeCurve,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates a NXOpen.Point via the center of an NXOpen.Edge or NXOpen.Curve .

Created in NX3.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling") OR geometric_tol ("GDT") OR cam_base ("CAM BASE")

Parameters
edgeCurve
updateOption
Returns
unsafe NXOpen.Point NXOpen.PointCollection.CreatePoint ( NXOpen.IBaseCurve  curve1,
NXOpen.IBaseCurve  curve2,
NXOpen.Point  helpPt1,
NXOpen.Point  helpPt2,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates a NXOpen.Point at the intersection of two Edges or Curves.

Created in NX3.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling") OR geometric_tol ("GDT") OR cam_base ("CAM BASE")

Parameters
curve1First Edge or Curve in intersection
curve2Second Edge or Curve in intersection
helpPt1Optional help Point for curve 1
helpPt2Optional help Point for curve 2
updateOption
Returns
unsafe NXOpen.Point NXOpen.PointCollection.CreatePoint ( NXOpen.IBaseCurve  curve1,
NXOpen.IBaseCurve  curve2,
NXOpen.Point3d  startPoint,
NXOpen.View  view,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates a NXOpen.Point at the apparent intersection of two Edges or Curves in a view.

Created in NX3.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT") OR cam_base ("CAM BASE")

Parameters
curve1First Edge or Curve in intersection
curve2Second Edge or Curve in intersection
startPointStart point of the intersection
viewView in which to project the intersection
updateOption
Returns
unsafe NXOpen.Point NXOpen.PointCollection.CreatePoint ( NXOpen.IParameterizedSurface  face,
NXOpen.IBaseCurve  curve,
NXOpen.Point  helpPt1,
NXOpen.Point  helpPt2,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates a NXOpen.Point at the intersection of a NXOpen.IParameterizedSurface and NXOpen.IBaseCurve .

Created in NX3.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling") OR geometric_tol ("GDT") OR cam_base ("CAM BASE")

Parameters
face
curveCurve in intersection
helpPt1Optional help Point for face
helpPt2Optional help Point for curve
updateOption
Returns
unsafe NXOpen.Point NXOpen.PointCollection.CreatePoint ( NXOpen.IBasePlane  plane,
NXOpen.IBaseCurve  curve,
NXOpen.Point  helpPt1,
NXOpen.Point  helpPt2,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates a NXOpen.Point at the intersection of a NXOpen.IBasePlane and NXOpen.IBaseCurve .

Created in NX4.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling") OR geometric_tol ("GDT") OR cam_base ("CAM BASE")

Parameters
planePlane or DatumPlane in intersection
curveCurve or Edge in intersection
helpPt1Optional help Point for face
helpPt2Optional help Point for curve
updateOption
Returns
unsafe NXOpen.Point NXOpen.PointCollection.CreatePoint ( NXOpen.IParameterizedSurface  sphericalFace,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates a NXOpen.Point at the center of a spherical face.

Created in NX4.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling") OR geometric_tol ("GDT") OR cam_base ("CAM BASE")

Parameters
sphericalFace
updateOption
Returns
unsafe NXOpen.Point NXOpen.PointCollection.CreatePoint ( NXOpen.Routing.IRoutePosition  routePosition,
NXOpen.Xform  xform,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates a NXOpen.Point at the given NXOpen.Routing.IRoutePosition .

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT") OR cam_base ("CAM BASE")

Parameters
routePosition
xformoptional NXOpen.Xform
updateOption
Returns
unsafe NXOpen.Point NXOpen.PointCollection.CreatePoint ( NXOpen.CartesianCoordinateSystem  csys,
NXOpen.Scalar  scalarX,
NXOpen.Scalar  scalarY,
NXOpen.Scalar  scalarZ,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates a NXOpen.Point via NXOpen.CartesianCoordinateSystem and three NXOpen.Scalar .

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling") OR geometric_tol ("GDT") OR cam_base ("CAM BASE")

Parameters
csysCartesian Coordinate System
scalarXX location
scalarYY location
scalarZZ location
updateOption
Returns
unsafe NXOpen.Point NXOpen.PointCollection.CreatePoint ( NXOpen.Point  point1,
NXOpen.Point  point2,
NXOpen.Scalar  distancePercentage,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates a NXOpen.Point between two points using a NXOpen.Scalar that represents a percentage of the distance between the points.

The distance is measured from the first point to the second point. There is no limit on the percentage so the point can be outside the area between the two points.

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling") OR geometric_tol ("GDT") OR cam_base ("CAM BASE")

Parameters
point1
point2
distancePercentage
updateOption
Returns
unsafe NXOpen.Point NXOpen.PointCollection.CreatePoint ( NXOpen.Expression  exp,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates a NXOpen.Point via an NXOpen.Expression .

Created in NX6.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT") OR cam_base ("CAM BASE")

Parameters
expEXP Point
updateOption
Returns
unsafe NXOpen.Point NXOpen.PointCollection.CreatePoint ( NXOpen.CAE.CAEFace  face,
NXOpen.Point  projectedPoint,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates a point by projecting onto a face.

Created in NX6.0.1

License requirements: nx_masterfem ("Finite Element Modeling")

Parameters
facethe face to project to
projectedPointthe point to project onto the face
updateOption
Returns
unsafe NXOpen.Point NXOpen.PointCollection.CreatePoint ( NXOpen.ScCollector  faces,
NXOpen.IBaseCurve  curve,
NXOpen.Point  helpPt1,
NXOpen.Point  helpPt2,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates a NXOpen.Point at the intersection of a connected set of faces and NXOpen.IBaseCurve .

Created in NX8.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling") OR geometric_tol ("GDT") OR cam_base ("CAM BASE")

Parameters
facesCollector object to represent connected set of faces
curveCurve in intersection
helpPt1Optional help Point for face
helpPt2Optional help Point for curve
updateOption
Returns
unsafe NXOpen.Point NXOpen.PointCollection.CreatePoint ( NXOpen.SmartObject.UpdateOption  updateOption,
NXOpen.Annotations.Annotation  annotation,
NXOpen.Scalar  t,
int  side,
int  block,
bool  attachFcfToDim 
)

Creates a NXOpen.Point on a NXOpen.Annotations.Annotation and NXOpen.Scalar representing the T parameter.

Created in NX8.0.0

License requirements: drafting ("DRAFTING")

Parameters
updateOption
annotation
t
side
block
attachFcfToDim
Returns
unsafe NXOpen.Point NXOpen.PointCollection.CreatePoint ( NXOpen.IBaseCurve  splarc,
NXOpen.View  view 
)

Creates a NXOpen.Point at the center of a splarc.

Created in NX8.0.0

License requirements: drafting ("DRAFTING")

Parameters
splarc
view
Returns
unsafe NXOpen.Point NXOpen.PointCollection.CreatePoint ( NXOpen.IBaseCurve  edgeCurve,
NXOpen.Scalar  scalarT,
NXOpen.PointCollection.PointOnCurveLocationOption  locationOption,
NXOpen.Point  specifiedPoint,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates a NXOpen.Point on a NXOpen.Curve or NXOpen.Edge and NXOpen.Scalar representing the Location option and Location Reference

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling") OR geometric_tol ("GDT") OR cam_base ("CAM BASE")

Parameters
edgeCurveEdge or Curve
scalarTscalar value
locationOptionSpecify whether the input Scalar is Arc Length or Percent Arc Length or Percent Parameter
specifiedPointSpecify the Point for the Location Reference type 'Specified Point'. If a null reference (Nothing in Visual Basic) then Location Reference type is 'Start of Curve'
updateOption
Returns
unsafe NXOpen.Point NXOpen.PointCollection.CreatePointOnPortExtractAlign ( NXOpen.SmartObject.UpdateOption  updateOption,
NXOpen.Routing.Port  port,
NXOpen.Scalar  distance 
)

Creates a NXOpen.Point at a NXOpen.Routing.Port .

The NXOpen.Routing.Port will be extraced into the work part if necessary. If the NXOpen.Routing.Port has already been extracted, the existing extract will be used. If extraction is not required, the input NXOpen.Routing.Port will be used.

Created in NX6.0.0

License requirements: routing_base ("Routing Basic")

Parameters
updateOption
portNXOpen.Routing.Port
distanceScalar Distance
Returns
unsafe NXOpen.Point NXOpen.PointCollection.CreatePointOnSectionCG ( NXOpen.SmartObject.UpdateOption  updateOption,
NXOpen.TaggedObject  face 
)

Creates a NXOpen.Point on the center of gravity of the sketch for a given sheet metal feature face in history free mode.

Supports Dimple, Bead, Louver, Drawn Cutout and Normal Cutout. A Null object will be returned if an inapproriate face is passed as an argument.

Created in NX7.5.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Parameters
updateOptionUpdate option of smart object
facethe feature face to associate the point with
Returns
Point
unsafe NXOpen.Point NXOpen.PointCollection.CreatePointOnSurfaceAxis ( NXOpen.TaggedObject  face,
NXOpen.Scalar  parameter,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates a parameterised point on the center line axis of the given face.

Created in NX6.0.0

License requirements: None.

Parameters
faceRM Face
parameterRM Scalar
updateOptionUpdate option of smart object
Returns
Point
unsafe NXOpen.Point NXOpen.PointCollection.CreatePointSplarc ( NXOpen.IBaseCurve  splarc,
NXOpen.View  view 
)

Creates a Point draft smart point for splines as arcs

Created in NX10.0.0

License requirements: drafting ("DRAFTING")

Parameters
splarcSpline Arc
viewView
Returns
Smart point
unsafe NXOpen.Point NXOpen.PointCollection.CreatePointSplineDefiningPoint ( NXOpen.IBaseCurve  splineCurve,
int  definingPointIndex,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates a NXOpen.Point at a spline defining point.

Created in NX10.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling") OR geometric_tol ("GDT") OR cam_base ("CAM BASE")

Parameters
splineCurveSpline
definingPointIndexindex of Spline Defining Point
updateOption
Returns
unsafe NXOpen.Point NXOpen.PointCollection.CreatePointSplinePole ( NXOpen.IBaseCurve  splineCurve,
int  poleIndex,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates a NXOpen.Point at a spline pole.

Created in NX10.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling") OR geometric_tol ("GDT") OR cam_base ("CAM BASE")

Parameters
splineCurveSpline
poleIndexindex of Spline Pole
updateOption
Returns
unsafe NXOpen.Point NXOpen.PointCollection.CreateQuadrantPoint ( NXOpen.IBaseCurve  curveOrEdge,
int  quadrant,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates a quadrant point

Created in NX7.5.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling") OR geometric_tol ("GDT") OR cam_base ("CAM BASE")

Parameters
curveOrEdgeMust be circular or elliptical
quadrant0 to 3
updateOption
Returns
unsafe NXOpen.Point NXOpen.PointCollection.CreateStockOffsetPoint ( NXOpen.Point  basePoint,
NXOpen.Direction  offsetDirr,
string  offsetExpression,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates a Routing "Stock Offset" point.

This stock offset point offsets itself from the input base point along the specified direction. The input expression determines the distance between the base point and the offset point. The input expression may reference the variable "MAX_PATH_STOCK_DIA" which is replaced by the current maximum diameter of stock applied to Routing segments that refer to the offset point.

Created in NX6.0.0

License requirements: routing_advanced ("Routing Advanced"), routing_base ("Routing Basic")

Parameters
basePointBase point to offset from.
offsetDirrDirection to offset along.
offsetExpressionOffset value expression.
updateOption
Returns
unsafe NXOpen.Point NXOpen.PointCollection.CreateVirtualIntersectionPoint ( NXOpen.IBaseCurve  curve1,
NXOpen.IBaseCurve  curve2,
NXOpen.Point  helpPt1,
NXOpen.Point  helpPt2,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates a NXOpen.Point at the virtual intersection of two linear Edges or Curves.

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT") OR cam_base ("CAM BASE")

Parameters
curve1First Edge or Curve in virtual intersection
curve2Second Edge or Curve in virtual intersection
helpPt1Optional help Point for curve 1
helpPt2Optional help Point for curve 2
updateOption
Returns
unsafe void NXOpen.PointCollection.DeletePoint ( NXOpen.Point  point)

Deletes a NXOpen.Point by adding the point to the delete list and then updating the delete list without performing a general update.

Created in NX7.5.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT") OR cam_base ("CAM BASE")

Parameters
pointPoint to be deleted
unsafe NXOpen.Point NXOpen.PointCollection.EditStockOffsetPoint ( NXOpen.Point  basePoint,
NXOpen.Direction  offsetDirr,
string  offsetExpression,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Edits an existing Routing "Stock Offset" point with new information.

This stock offset point offsets itself from the input base point along the specified direction. The input expression determines the distance between the base point and the offset point. The input expression may reference the variable "MAX_PATH_STOCK_DIA" which is replaced by the current maximum diameter of stock applied to Routing segments that refer to the offset point.

Created in NX12.0.0

License requirements: routing_advanced ("Routing Advanced"), routing_base ("Routing Basic")

Parameters
basePointBase point to offset from.
offsetDirrDirection to offset along.
offsetExpressionOffset value expression.
updateOption
Returns
override int NXOpen.PointCollection.EnumerateMoveNext ( ref Tag  currentTag,
byte[]  state 
)
protected

Advances the enumerator to the next element of the collection.

unsafe NXOpen.Point NXOpen.PointCollection.FindObject ( string  journalIdentifier)

Finds the NXOpen.Point with the given identifier as recorded in a journal.

An object may not return the same value as its JournalIdentifier in different versions of the software. However newer versions of the software should find the same object when FindObject is passed older versions of its journal identifier. In general, this method should not be used in handwritten code and exists to support record and playback of journals.

An exception will be thrown if no object can be found with the given journal identifier.

Created in NX3.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling") OR geometric_tol ("GDT") OR cam_base ("CAM BASE")

Parameters
journalIdentifierIdentifier of the Point you want
Returns
unsafe void NXOpen.PointCollection.RemoveParameters ( NXOpen.Point  point)

Removes the parameters from an associative NXOpen.Point .

Created in NX7.5.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT") OR cam_base ("CAM BASE")

Parameters
pointPoint from which parameters will be removed
NXOpen.Point [] NXOpen.PointCollection.ToArray ( )

Returns an array of NXOpen.Point objects.

Property Documentation

Tag NXOpen.PointCollection.Tag
get

Returns the tag of this object.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.